package com.zhili.stationcontrol.tts.service.impl;

import com.zhili.stationcontrol.tts.service.MusicService;
import com.zhili.stationcontrol.tts.util.WavPlayUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.io.IOException;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/6/6 17:08
 */
@Service
@Slf4j
public class MusicServiceImpl implements MusicService {
    Process p;

    @Override
    public Integer start(String path, Integer vol) {
        stop();
        try {
//            String cmd = "play -v "+Float.valueOf(new Integer(vol).toString())/100+" "+path+" repeat 10";
            String cmd = "/home/playMusic.sh "+path+" "+vol;
            log.info("cmd:{}",cmd);
            p = Runtime.getRuntime().exec(cmd);
            return 0;
        } catch (IOException e) {
            e.printStackTrace();
            return 1;
        }
    }

    @Override
    public void stop() {
        if(p!=null){
            p.destroyForcibly();
            p=null;
        }
    }

    public static void main(String[] args) {
        System.out.println(Float.valueOf(new Integer(2).toString())/10);
    }
}
